PROC SORT DATA=livre.sin (KEEP=contrat dtSurSin nosin montant
                         WHERE=(dtSurSin IS NOT MISSING))
           OUT=work.sinTriee ;
  BY contrat dtSurSin ;
RUN ;
DATA work.ecarts ;
  SET work.sinTriee ;
  ATTRIB ecart
    LABEL="Nb d'annes depuis le sinistre prcdent"
	LENGTH=8 
  ;
  ecart = YRDIF(LAG(dtSurSin), dtSurSin, "ACT/ACT") ;
RUN ;
PROC PRINT DATA=work.ecarts LABEL NOOBS ;
  BY contrat ;
RUN ;
