PROC SORT DATA=livre.sin (KEEP=contrat dtSurSin montant)
           OUT=work.sin NODUPKEY ;
  BY contrat dtSurSin ;
RUN ;
DATA work.multi ;
  SET work.sin ;
  BY contrat ;
  ATTRIB dateSin1
  	LABEL  = "Date 1er sinistre"
	FORMAT = DDMMYY10.
	LENGTH = 4
	     depuis
	LABEL  = "Nb de jours depuis 1er sinistre"
	LENGTH = 5
  ;
  RETAIN dateSin1 ;
  IF FIRST.contrat THEN dateSin1 = dtSurSin ;
  depuis = dtSurSin - dateSin1 ;
  IF NOT (FIRST.contrat AND LAST.contrat) THEN OUTPUT ;
RUN ;
