PROC SQL ;
  SELECT YEAR(dtSurSin) AS annee_surv LABEL="Anne de survenance"
                                     LENGTH=4,
         COUNT(*) AS nb_sin LABEL="Nombre de sinistres",
         MEAN(dtClot IS NOT MISSING) AS pct_clos 
	                        LABEL="Taux de clture"
						   FORMAT=NLPCTN12.
	FROM livre.sin
	WHERE CALCULATED annee_surv >= 2006 
    GROUP BY CALCULATED annee_surv ;
QUIT ;
