PROC SQL ;
  SELECT COALESCE(sin.contrat, auto.contrat) AS contrat LABEL="N de contrat",
         COUNT(sin.contrat) AS nb_sin LABEL="Nb sinistres",
         COALESCE(SUM(sin.montant), 0) AS mt_tot 
                         LABEL="Montant sinistres" FORMAT=NLNUM12.2
  FROM livre.auto4r AS auto
    LEFT JOIN
       livre.sin    AS sin
    ON auto.contrat = sin.contrat
  WHERE YEAR(auto.debut_police)>2008
    AND auto.valeur > 10 
  GROUP BY auto.contrat ;
QUIT ;
