%MACRO nuageDePoints (table=livre.sin,
                      varX=dtSurSin,
                      varY=montant,
                      condition=1) ;
 PROC SQL NOPRINT ;
  SELECT MEAN(&varY) FORMAT=12.2 INTO : moyenne
  FROM &table
  WHERE &condition
  ;
 QUIT ;
%SYSFUNC(IFC(%LENGTH(&condition) > 1,
         TITLE1 "Conditions : &condition" ,
		 TITLE1 )) ;
 PROC SGPLOT DATA=&table (WHERE=(&condition)) ;
  SCATTER X=&varX Y=&varY ;
  REFLINE &moyenne / AXIS=Y ;
  INSET "Moyenne de &varY = %CMPRES(&moyenne) euros" / POSITION=TOPLEFT ;
 RUN ;
 TITLE ;
%MEND nuageDePoints ;
/* appel au macro-programme : */
%nuageDePoints (condition=YEAR(dtSurSin) = 2010) ;
%nuageDePoints ;
